# Make notation as terse a possible.
class Entropia
  def Entropia.[](bits)
    entropy, counter, randomness = 2**bits, 0, 0.0
    if block_given?
      obj = yield
      case obj
      when Integer, String
        counter = obj
      else
        counter = obj.random_number(entropy)
        randomness = bits.to_f
      end
    end
    Entropia.new counter, entropy: entropy, randomness: randomness
  end

  alias p! increment!
  alias * to_base
  alias + concat
  alias ^ xor
  alias increase! increment! # for back compatibility
end
